import { Context } from 'egg';
import { UiBase, ReqGroupTestBase } from '../../test/ui';
export declare class UiController {
    private config;
    private readonly uiRootDir;
    constructor(ctx: Context);
    getUiTest(uiid: string): UiBase;
    getUiGroup(uiid: string, gid: string): ReqGroupTestBase;
    getUiList(): {
        uiid: string;
        title: string;
        reqGroups: any[];
    }[];
    getUi(uiid: string): {
        gid: string;
        id?: string;
        title: string;
        reqGroup: {
            method: string;
            pathname: "string";
            title: "string";
            mockData?: any[];
        }[];
    }[];
    addUiTest(uiid: string, title: string): boolean;
    addUi(uiid: string, title: string, tids: number[]): UiBase;
    delUi(uiid: string): void;
    delUiGroup(uiid: string, gid: string): void;
    private mkdir;
}
