import { TrackData } from 'egg-typed-tracking';
import { MethodType } from 'egg-controller';
import { EggAppConfig } from 'egg';
export { TrackData };
export interface RouterMetadataType {
    name?: string;
    functionName?: string;
    typeGlobalName?: string;
    method?: MethodType[];
    url?: string | RegExp | string[] | RegExp[];
    description?: string;
    paramTypes: {
        name: string;
        type: string;
        hidden: boolean;
    }[];
    returnType: string;
}
export declare class Config {
    config?: EggAppConfig;
    showHiddenParam?: boolean;
}
export declare function getApiMetadata({ config, showHiddenParam }?: Config): {
    [key: string]: RouterMetadataType[];
};
export declare function getRefMapMetadata(config: EggAppConfig): {};
export declare function getTrackingMetadata(): TrackData[];
