import AppWorkerLoader from './app_worker_loader';
import AgentWorkerLoader from './agent_worker_loader';
export declare const egg: any;
export declare const EGG_PATH: unique symbol;
export declare const EGG_LOADER: unique symbol;
declare const startCluster: any;
import { IocContext } from 'power-di';
export declare const EGGApplication: ObjectConstructor;
export declare class Application extends EGGApplication {
    iocContext: IocContext;
    config: any;
    constructor(options: any);
    readonly [EGG_PATH]: string;
    readonly [EGG_LOADER]: typeof AppWorkerLoader;
    GetComponent<T>(classType: any): import("power-di").GetReturnType<T, any>;
}
export declare const EGGAgent: ObjectConstructor;
export declare class Agent extends EGGAgent {
    readonly [EGG_PATH]: string;
    readonly [EGG_LOADER]: typeof AgentWorkerLoader;
    constructor(options: any);
}
export { AppWorkerLoader, AgentWorkerLoader, startCluster, };
