import { Context } from 'egg';
import { RouterMetadataType, TrackData } from '../../meta';
export declare class MetadataController {
    private baseDir;
    private app;
    constructor(ctx: Context);
    api(): {
        [key: string]: RouterMetadataType[];
    };
    refmap(): any;
    tracking(pageNum?: number, pageSize?: number): {
        pagination: {
            pageNum: number;
            pageSize: number;
            total: number;
        };
        dataList: TrackData[];
    };
    clearTracking(): boolean;
}
