import { TestReqData, TestBase } from './base';
export declare const REQ_GROUP_DIR = "req-group";
export declare class ReqGroupTestBase extends TestBase {
    info: {
        id?: string;
        title: string;
        reqGroup: {
            method: string;
            pathname: 'string';
            title: 'string';
            mockData?: any[];
        }[];
    };
    reqGroupDir: string;
    constructor(dir: string);
    getPath(method: string, pathname: string): string;
    loadMockData(): void;
    saveInfo(): void;
    saveReqGroup(reqGroup: TestReqData[]): void;
}
export declare class UiBase extends TestBase {
    info: {
        uiid: string;
        title: string;
        reqGroups: any[];
    };
    _reqGroupTests: ReqGroupTestBase[];
    constructor(dir: string);
    readonly reqGroupTests: ReqGroupTestBase[];
    saveInfo(): void;
    loadReqGroupTests(): void;
    saveRegGroupTest(title: string, reqGroup: TestReqData[]): ReqGroupTestBase;
}
