export * from 'orm-ts';
export declare function repository(modelType: any): (target: any) => void;
import { IProvider, BaseRepository } from 'orm-ts';
export declare function setBaseRepository(target: any): void;
export declare class MySQLProvider<T> implements IProvider<T> {
    protected ctx: any;
    constructor(ctx: any);
    getRepositoryByModelClass(modelType: any): BaseRepository;
    private readonly mysql;
    queryOne(sql: string, params?: any): Promise<T>;
    query(sql: string, params?: any): Promise<T[]>;
}
