"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const di_1 = require("../../../../../di");
const a_1 = require("../service/a");
const b_1 = require("../service/b");
const lib_1 = require("../../../../../lib");
class DIController {
    a_path() {
        return this.aService.getCtxPath();
    }
    b_path() {
        return this.bService.getCtxPath();
    }
    b_appname() {
        return this.b2Service.getAppName();
    }
}
tslib_1.__decorate([
    di_1.lazyInject(),
    tslib_1.__metadata("design:type", a_1.AService)
], DIController.prototype, "aService", void 0);
tslib_1.__decorate([
    di_1.lazyInject(),
    tslib_1.__metadata("design:type", b_1.BService)
], DIController.prototype, "bService", void 0);
tslib_1.__decorate([
    di_1.lazyInject(),
    tslib_1.__metadata("design:type", b_1.B2Service)
], DIController.prototype, "b2Service", void 0);
tslib_1.__decorate([
    lib_1.route(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], DIController.prototype, "a_path", null);
tslib_1.__decorate([
    lib_1.route(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], DIController.prototype, "b_path", null);
tslib_1.__decorate([
    lib_1.route(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], DIController.prototype, "b_appname", null);
exports.DIController = DIController;
